## librsvg 2.44.10

=== vendor/gio/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gio-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== vendor/glib/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Glib-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== vendor/itertools/Makefile ===
DOCCRATES = itertools

# deps to delete the generated docs
RMDOCS =

FEATURES =

VERSIONS = $(patsubst %,target/VERS/%,$(DOCCRATES))

docs: mkdocs subst $(RMDOCS)

# https://www.gnu.org/software/make/manual/html_node/Automatic-Variables.html
$(VERSIONS): Cargo.toml
	mkdir -p $(@D)
	cargo pkgid $(@F) | sed -e "s/.*#\(\|.*:\)//" > "$@"

$(DOCCRATES): %: target/VERS/%
	# Put in the crate version into the docs
	find ./doc/$@ -name "*.html" -exec sed -i -e "s/<title>\(.*\) - Rust/<title>$@ $(shell cat $<) - \1 - Rust/g" {} \;

subst: $(DOCCRATES)

mkdocs: Cargo.toml
	cargo doc --features=$(FEATURES) --no-deps
	rm -rf ./doc
	cp -r ./target/doc ./doc
	- cat ./custom.css >> doc/main.css

$(RMDOCS): mkdocs
	rm -r ./doc/$@
	sed -i "/searchIndex\['$@'\]/d" doc/search-index.js


.PHONY: docs mkdocs subst $(DOCCRATES) $(RMDOCS)

=== vendor/nalgebra/Makefile ===
all:
	cargo test --features "debug arbitrary serde-serialize abomonation-serialize"
	# cargo check --features "debug arbitrary serde-serialize"

doc:
	cargo doc --no-deps --features "debug arbitrary serde-serialize abomonation"

bench:
	cargo bench

test:
	cargo test --features "debug arbitrary serde-serialize abomonation-serialize"

=== vendor/pango/Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Pango-1.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

## librsvg 2.32.1

=== debian/changelog ===
librsvg (2.32.1-0ubuntu3) natty; urgency=low

  * debian/patches/90_git_null_crasher.patch: crasher fix from git (lp: #608026)
    (lp: #701820)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Mar 2011 18:06:59 +0100

librsvg (2.32.1-0ubuntu2) natty; urgency=low

  * debian/librsvg2-common.postinst: update the gdkloader list there (#719861)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 28 Feb 2011 17:15:52 +0100

librsvg (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/source:
    - Use source version 3.0

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Nov 2010 09:25:28 +1100

librsvg (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Sep 2010 12:11:47 +0200

librsvg (2.31.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump libglib2.0-dev build-depend
    - Add Vcs-Bzr link
  * debian/librsvg2-dev.install:
    - Update documentation location
  * debian/librsvg2-common.install:
    - Update to new gdk-pixbuf loader location

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Aug 2010 12:07:44 +1000

librsvg (2.26.3-2ubuntu1) maverick; urgency=low

  * debian/patches/no_null_crash.patch:
    - don't crash on corrupted images, thanks Bruno Girin (lp: #608026)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 16:59:03 +0200

librsvg (2.26.3-2) experimental; urgency=low

  [ Josselin Mouette ]
  * No need to explicitly disable the Mozilla plugin anymore.
    Closes: #583129.

  [ Sebastian Dröge ]
  * debian/librsvg2-common.install,
    debian/control.in:
    + Depend on standalone gdk-pixbuf and move loaders library
      to the correct location.
    + (Build-) depend on libgtk2.0-dev (>= 2.21.5) to allow the
      experimental dependency resolver to work.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Jul 2010 07:50:24 +0200

librsvg (2.26.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 May 2010 14:23:09 +0200

librsvg (2.26.2-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/99_ltmain_as-needed.patch,
      debian/patches/rsvg-gz.patch:
      - Refreshed.
    + debian/control.in: Bump libgtk2.0 dependencies to (>= 2.16.0)

 -- David Weinehall <tao@debian.org>  Wed, 31 Mar 2010 00:02:42 +0300

librsvg (2.26.0-2) unstable; urgency=low

  * debian/control.in:
    - Don't restrict XS-Python-Version to "current" to avoid a dependency
      on python << 2.6.
    - Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 24 Mar 2010 12:32:10 +0100

librsvg (2.26.0-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * Bump shlibs version to 2.26.0.
  * debian/control.in:
    - Update Standards-Version to 3.8.1, no changes needed.
    - Fix debug package section.
  * debian/patches/rsvg-radius.patch:
    - Removed as applied upstream. 

  [ Josselin Mouette ]
  * Build-depend on libglib2.0-doc, libgtk2.0-doc and libcairo2-doc to 
    ensure proper xrefs.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2009 11:37:23 +0200

librsvg (2.22.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * rsvg-radius.patch: new patch. Check radii against floating point 
    underflow instead of comparing them to 0.0. Thanks a lot to Thomas 
    Viehmann for all the testing and providing the original patch.
    Closes: #508443.

  [ Emilio Pozuelo Monfort ]
  * debian/control:
    - Build-depend on libgtk2.0-dev 2.10.1-1~ instead of 2.10.1-1 to ease
      backports.  Spotted by lintian.
    - librsvg-dev depends on ${misc:Depends}. Thanks lintian!
  * debian/shlibs.local: Removed. It was added as a hack to workaround
    a dependency issue, but it's not needed anymore.
  * Use dh_pysupport instead of the deprecated dh_python.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 14:48:38 +0100

librsvg (2.22.3-1) experimental; urgency=low

  * New upstream release.
  * Bump shlibs version to 2.22.3.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 22:35:18 +0100

librsvg (2.22.2-3) unstable; urgency=low

  * Build a dbg package. Closes: #496189.
  * debian/control:
    - Update Standards-Version to 3.8.0, no changes needed.
    - Added Homepage field.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 21 Oct 2008 11:52:06 +0200

librsvg (2.22.2-2) unstable; urgency=low

  * debian/control.in:
    + Build depend on GLib >= 2.16.0 for GIO support.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 05:56:01 +0100

librsvg (2.22.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Mar 2008 05:41:23 +0100

librsvg (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Feb 2008 06:45:05 +0100

librsvg (2.22.0-1) unstable; urgency=low

  * New upstream release, with no API changes.
    This release adds support for GIO and we want to rebuild it once GLib 2.16
    is in unstable.
  * debian/control.in:
    + Update and cleanup build dependencies.
    + Cleanup and correct dependencies of the -dev package.
  * debian/patches/99_ltmain_as-needed.patch:
    + Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 21 Feb 2008 19:19:09 +0100

librsvg (2.20.0-1) unstable; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Sebastian Dröge ]
  * New upstream bugfix release with no API changes.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jan 2008 17:55:44 +0100

librsvg (2.18.2-1) unstable; urgency=low

  [ Alan Baghumian ]
  * New upstream stable release.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: librsvg
Section: libdevel
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               libfreetype6-dev,
               libfontconfig1-dev (>= 1.0.1),
               libxml2-dev (>= 2.6.22),
               libglib2.0-dev (>= 2.24.0),
               libcairo2-dev (>= 1.2.0),
               libpango1.0-dev (>= 1.10.0),
               libgdk-pixbuf2.0-dev (>= 2.21.6),
               libgtk2.0-dev (>= 2.21.5),
               libgsf-1-dev (>= 1.13.2-2),
               gnome-pkg-tools (>= 0.10),
               libcroco3-dev (>= 0.6.1),
               gtk-doc-tools (>= 1.0),
               python,
               python-support,
               dpkg-dev (>= 1.13.19),
               libglib2.0-doc,
               libgtk2.0-doc,
               libcairo2-doc
Standards-Version: 3.8.4
Homepage: http://librsvg.sourceforge.net/
XS-Python-Version: >= 2.5
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/librsvg/ubuntu

Package: librsvg2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         librsvg2-2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.24.0),
         libgdk-pixbuf2.0-dev (>= 2.21.6),
         libcairo2-dev (>= 1.2.0),
         libgtk2.0-dev (>= 2.21.5)
Description: SAX-based renderer library for SVG files (development)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package provides the necessary development libraries and include
 files to allow you to develop with librsvg.

Package: librsvg2-2
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: librsvg2-bin
Conflicts: librsvg2-common (<< 2.12)
Description: SAX-based renderer library for SVG files (runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the runtime library, necessary to run
 applications using librsvg.

Package: librsvg2-common
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librsvg2-2 (= ${binary:Version})
Conflicts: gnome-games (<< 1:2.12)
Description: SAX-based renderer library for SVG files (extra runtime)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes the gdk-pixbuf loader and a GTK+ engine, allowing
 to load SVG images transparently inside GTK+ applications.

Package: librsvg2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         librsvg2-2 (= ${binary:Version})
Description: SAX-based renderer library for SVG files (debug)
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package contains the debugging symbols.

Package: librsvg2-bin
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         librsvg2-2 (>= ${binary:Version})
Conflicts: librsvg2-common (<< 2.7)
Description: command-line and graphical viewers for SVG files
 The rsvg library is an efficient renderer for Scalable Vector Graphics
 (SVG) pictures.
 .
 This package includes a command-line utility to convert the SVG files
 to the PNG format and a graphical SVG viewer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

ifeq ($(DEB_BUILD_ARCH),alpha)
   CFLAGS += -mieee
endif

LIBRSVG2_PKG := librsvg2-2

binary-install/librsvg2-common::
	LD_LIBRARY_PATH=debian/$(LIBRSVG2_PKG)/usr/lib:$(LD_LIBRARY_PATH) \
		dh_gtkmodules -plibrsvg2-common

binary-install/librsvg2-bin::
	dh_pysupport -plibrsvg2-bin

DEB_CONFIGURE_EXTRA_FLAGS += --enable-pixbuf-loader --with-croco \
			     --with-svgz --disable-gnome-vfs

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_$(LIBRSVG2_PKG) += -V '$(LIBRSVG2_PKG) (>= 2.26.0)'

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/librsvg/([\d\.]+)[02468]/librsvg-([\d\.]+)\.tar\.gz

## librsvg 2.34.1

=== debian/changelog ===
librsvg (2.34.1-2) unstable; urgency=low

  * debian/control.in: Add libgtk-3-dev build dependency to also build the
    GTK3 tools.

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Sep 2011 16:10:48 +0200

librsvg (2.34.1-1) unstable; urgency=low

  * New upstream version:
    - cairo: reduce cost of measuring bounding boxes
    - Use "const" instead G_CONST_RETURN (#652213)
    - Call xmlFreeParserCtxt after using the context (#655472)
    - Store node type separately in RsvgNode (#658014)
    - [CVE-2011-3146]
  * debian/control.in: Add Vcs-* fields.
  * Add 01_null_crash.patch: Fix crash on some broken SVGs. Patch by Bruno
    Girin. (GNOME #626559, LP #608026)
  * Add debian/librsvg2-common.postinst.in, and debian/rules code to produce
    the postinst from substituting the multiarch dir: Register the librsvg
    gdk-pixbuf loader. This is usually handled by the libgdk-pixbuf2.0-0
    trigger, but this fails on first installation in some scenarios (see
    https://launchpad.net/bugs/719861 comment 9).

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Sep 2011 15:37:00 +0200

librsvg (2.34.0-2) unstable; urgency=low

  [ Steve Langasek ]
  * Build for multiarch. (Closes: #634719, #634535)
  * Add a versioned build-depends on libgdk-pixbuf2.0-dev to pick up the
    new preferred loader path, and declare a breaks: on older versions of
    gdk-pixbuf which won't look in this directory.
  * Declare a breaks on libgtk2.0-0 for the same reason.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Jul 2011 18:40:43 +0200

librsvg (2.34.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * Remove debian/patches/01_manpage.patch, merged upstream.
  * Remove a few ancient Conflicts which are no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Jun 2011 16:56:50 +0200

librsvg (2.32.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_manpage.patch:
    - Forwarded upstream.

  [ Sebastian Dröge ]
  * Upload to unstable.
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:47:02 +0100

librsvg (2.32.0-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/librsvg2-common.install,
      debian/librsvg2-dev.links:
      - Updated for the new help location.
    + debian/rules:
      - Don't run dh_makeshlibs on librsvg2-common.
  * debian/source/format,
    debian/patches/*,
    debian/rules:
    + Switch to source format 3.0 (quilt).
  * debian/librsvg2-2.symbols:
    + Add a symbols file.
  * debian/rules:
    + Make the shlibs file always depend on the latest upstream version.
    + Abort the build if the symbols file is outdated.
    + Drop obsolete configure flag.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Jan 2011 19:55:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,43 +6,44 @@
 Source: librsvg
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5),
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Build-Depends: cdbs (>= 0.4.93),
+               debhelper (>= 8.1.3),
                libfreetype6-dev,
                libfontconfig1-dev (>= 1.0.1),
                libxml2-dev (>= 2.6.22),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
                libpango1.0-dev (>= 1.10.0),
-               libgdk-pixbuf2.0-dev (>= 2.21.6),
+               libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgtk2.0-dev (>= 2.21.5),
+               libgtk-3-dev (>= 2.90.0),
                libgsf-1-dev (>= 1.13.2-2),
                gnome-pkg-tools (>= 0.10),
                libcroco3-dev (>= 0.6.1),
-               gtk-doc-tools (>= 1.0),
+               gtk-doc-tools (>= 1.13),
                python,
                python-support,
-               dpkg-dev (>= 1.13.19),
                libglib2.0-doc,
                libgtk2.0-doc,
                libcairo2-doc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://librsvg.sourceforge.net/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/librsvg
 XS-Python-Version: >= 2.5
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/librsvg/ubuntu
 
 Package: librsvg2-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
          librsvg2-2 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.24.0),
+         libglib2.0-dev (>= 2.12.0),
          libgdk-pixbuf2.0-dev (>= 2.21.6),
          libcairo2-dev (>= 1.2.0),
          libgtk2.0-dev (>= 2.21.5)
+Multi-Arch: same
 Description: SAX-based renderer library for SVG files (development)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -56,7 +57,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: librsvg2-bin
-Conflicts: librsvg2-common (<< 2.12)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: SAX-based renderer library for SVG files (runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -70,7 +72,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
-Conflicts: gnome-games (<< 1:2.12)
+Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4)
+Multi-Arch: same
 Description: SAX-based renderer library for SVG files (extra runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -85,6 +88,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
+Multi-Arch: same
 Description: SAX-based renderer library for SVG files (debug)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -98,7 +102,7 @@
          ${shlibs:Depends},
          ${python:Depends},
          librsvg2-2 (>= ${binary:Version})
-Conflicts: librsvg2-common (<< 2.7)
+Multi-Arch: foreign
 Description: command-line and graphical viewers for SVG files
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

ifeq ($(DEB_BUILD_ARCH),alpha)
   CFLAGS += -mieee
endif

LIBRSVG2_PKG := librsvg2-2
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-pixbuf-loader \
	--with-croco \
	--with-svgz

DEB_DH_MAKESHLIBS_ARGS_$(LIBRSVG2_PKG) += -V -- -c4
DEB_DH_MAKESHLIBS_ARGS_librsvg2-common = --no-act

binary-install/librsvg2-common::
	LD_LIBRARY_PATH=debian/$(LIBRSVG2_PKG)/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gtkmodules -plibrsvg2-common
	sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/$(cdbs_curpkg).postinst.in > \
		debian/$(cdbs_curpkg).postinst

binary-install/librsvg2-bin::
	dh_pysupport -plibrsvg2-bin

clean::
	rm -f debian/librsvg2-common.postinst

## librsvg 2.34.2

=== debian/changelog ===
librsvg (2.34.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Remove incorrect M-A: same statement for the debug package.

  [ Martin Pitt ]
  * New upstream release.
  * Drop 01_null_crash.patch, accepted upstream.
  * This version supports introspection, enable it:
    - debian/control.in: Add gir1.2-rsvg-2.0 binary package,
      g-i/libgirepository-dev build dependencies, and add gir1.2-rsvg-2.0
      dependency to -dev.
    - debian/rules: Configure with --enable-introspection.
    - Add debian/gir1.2-rsvg-2.0.install: Install typelib.
    - debian/librsvg2-dev.install: Install *.gir.

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Nov 2011 09:38:21 +0100

librsvg (2.34.1-3) unstable; urgency=low

  * debian/librsvg2-common.postinst.in: Simplify by merely activating the
    triggers of interested packages again instead of copy&paste'ing the
    gdk-pixbuf-loader code snippets. Also add a more detailled comment about
    why this is necessary. Also fix the glob to only catch directories.
    (Closes: #640955)

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Oct 2011 12:43:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libdevel
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: David Weinehall <tao@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                libfreetype6-dev,
@@ -23,6 +23,11 @@
                gnome-pkg-tools (>= 0.10),
                libcroco3-dev (>= 0.6.1),
                gtk-doc-tools (>= 1.13),
+               gobject-introspection (>= 0.10.8),
+               libgirepository1.0-dev (>= 0.10.8),
+               gir1.2-glib-2.0,
+               gir1.2-freedesktop,
+               gir1.2-gdkpixbuf-2.0,
                python,
                python-support,
                libglib2.0-doc,
@@ -42,7 +47,8 @@
          libglib2.0-dev (>= 2.12.0),
          libgdk-pixbuf2.0-dev (>= 2.21.6),
          libcairo2-dev (>= 1.2.0),
-         libgtk2.0-dev (>= 2.21.5)
+         libgtk2.0-dev (>= 2.21.5),
+         gir1.2-rsvg-2.0
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (development)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
@@ -88,7 +94,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
-Multi-Arch: same
 Description: SAX-based renderer library for SVG files (debug)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -109,3 +114,14 @@
  .
  This package includes a command-line utility to convert the SVG files
  to the PNG format and a graphical SVG viewer.
+
+Package: gir1.2-rsvg-2.0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends},
+         ${gir:Depends}
+Description: gir files for renderer library for SVG files
+ The rsvg library is an efficient renderer for Scalable Vector Graphics
+ (SVG) pictures.
+ .
+ This package contains gobject introspection information.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-pixbuf-loader \
+	--enable-introspection \
 	--with-croco \
 	--with-svgz

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/librsvg/([\d\.]+[02468])/librsvg-([\d\.]+)\.tar\.bz2

## librsvg 2.35.2

=== debian/changelog ===
librsvg (2.35.2-1) experimental; urgency=low

  * New upstream development release.
  * debian/control.in: Update Build-Depends.
  * debian/librsvg2-2.symbols: Add new symbols and remove a few private
    symbols which are no longer exported.
  * debian/rules: Remove obsolete configure switches, libcroco and svgz
    support are no longer optional.
  * debian/watch: Track .xz tarballs.
  * debian/librsvg2-bin.install: Remove the /usr/share/pixmap directory.
    Upstream no longer installs a svg icon.
  * debian/patches/10_rsvg-gz.patch: Refresh for the new release and add a
    DEP-3 patch header.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 09:00:08 +0100

librsvg (2.34.2-3) unstable; urgency=low

  [ Josselin Mouette ]
  *  Remove MA: same statements for -dev packages, because they depend 
     on gir packages which are not MA compatible.

  [ Michael Biebl ]
  * debian/rules: Stop calling dh_gtkmodules. This tool is deprecated and has
    been replaced by triggers.
  * Stop building the gtk2 theme engine. It is unused and creates an unwanted
    dependency on libgtk2.0-0 in librsvg2-common.
  * Drop obsolete Depends on libgtk2.0-dev from librsvg2-dev.
  * Tighten the Depends on libglib2.0-dev and libgdk-pixbuf2.0-dev for
    librsvg2-dev.
  * Add Depends on librsvg2-common to librsvg2-dev so packages building
    against librsvg can rely on the gdk-pixbuf loader being available.
  * Add Recommonds on librsvg2-common to librsvg2-2 so the gdk-pixbuf loader
    is installed by default.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 06:44:35 +0100

librsvg (2.34.2-2) unstable; urgency=low

  * debian/control.in:
    - Tighten dependency between librsvg2-dev and gir1.2-rsvg-2.0.
    - Change section of gir1.2-rsvg-2.0 to introspection.
  * Switch to dh_python2.
  * Split API documentation into librsvg2-doc. Closes: #649422
  * Regenerate gtk-doc API documentation during build.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Dec 2011 06:53:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,16 @@
 Section: libdevel
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
-               libfreetype6-dev,
-               libfontconfig1-dev (>= 1.0.1),
-               libxml2-dev (>= 2.6.22),
+               libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
-               libpango1.0-dev (>= 1.10.0),
+               libpango1.0-dev (>= 1.16.0),
                libgdk-pixbuf2.0-dev (>= 2.23.5-2),
                libgtk2.0-dev (>= 2.21.5),
-               libgtk-3-dev (>= 2.90.0),
+               libgtk-3-dev (>= 3.0.0),
                libgsf-1-dev (>= 1.13.2-2),
                gnome-pkg-tools (>= 0.10),
                libcroco3-dev (>= 0.6.1),
@@ -28,8 +26,7 @@
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                gir1.2-gdkpixbuf-2.0,
-               python,
-               python-support,
+               python (>= 2.6.6-3~),
                libglib2.0-doc,
                libgtk2.0-doc,
                libcairo2-doc
@@ -37,19 +34,19 @@
 Homepage: http://librsvg.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/librsvg
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.5
 
 Package: librsvg2-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
          librsvg2-2 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.12.0),
-         libgdk-pixbuf2.0-dev (>= 2.21.6),
-         libcairo2-dev (>= 1.2.0),
-         libgtk2.0-dev (>= 2.21.5),
-         gir1.2-rsvg-2.0
-Multi-Arch: same
+         librsvg2-common (= ${binary:Version}),
+         gir1.2-rsvg-2.0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.24.0),
+         libgdk-pixbuf2.0-dev (>= 2.23.5-2),
+         libcairo2-dev (>= 1.2.0)
+Suggests: librsvg2-doc
 Description: SAX-based renderer library for SVG files (development)
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
@@ -62,6 +59,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: librsvg2-common
 Suggests: librsvg2-bin
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -84,8 +82,21 @@
  The rsvg library is an efficient renderer for Scalable Vector Graphics
  (SVG) pictures.
  .
- This package includes the gdk-pixbuf loader and a GTK+ engine, allowing
+ This package includes the gdk-pixbuf loader allowing
  to load SVG images transparently inside GTK+ applications.
+
+Package: librsvg2-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: devhelp
+Breaks: librsvg2-dev (<< 2.34.2-2)
+Replaces: librsvg2-dev (<< 2.34.2-2)
+Description: SAX-based renderer library for SVG files (documentation)
+ The rsvg library is an efficient renderer for Scalable Vector Graphics
+ (SVG) pictures.
+ .
+ This package provides the API documentation.
 
 Package: librsvg2-dbg
 Section: debug
@@ -116,9 +127,10 @@
  to the PNG format and a graphical SVG viewer.
 
 Package: gir1.2-rsvg-2.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ${gir:Depends}
 Description: gir files for renderer library for SVG files
  The rsvg library is an efficient renderer for Scalable Vector Graphics

=== debian/rules ===
--- 
+++ 
@@ -17,20 +17,18 @@
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-pixbuf-loader \
 	--enable-introspection \
-	--with-croco \
-	--with-svgz
+	--enable-gtk-doc \
+	--disable-gtk-theme
 
 DEB_DH_MAKESHLIBS_ARGS_$(LIBRSVG2_PKG) += -V -- -c4
 DEB_DH_MAKESHLIBS_ARGS_librsvg2-common = --no-act
 
 binary-install/librsvg2-common::
-	LD_LIBRARY_PATH=debian/$(LIBRSVG2_PKG)/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
-		dh_gtkmodules -plibrsvg2-common
 	sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/$(cdbs_curpkg).postinst.in > \
 		debian/$(cdbs_curpkg).postinst
 
 binary-install/librsvg2-bin::
-	dh_pysupport -plibrsvg2-bin
+	dh_python2 -plibrsvg2-bin
 
 clean::
 	rm -f debian/librsvg2-common.postinst

## librsvg 2.36.1

=== debian/changelog ===
librsvg (2.36.1-2+deb7u3) wheezy-security; urgency=high

  * CVE-2018-1000041: Fix an improper input validation vulnerability that can
    result in the user's data being leaked to remote attackers via a
    specially-crafted file.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Feb 2018 09:31:38 +0000

librsvg (2.36.1-2+deb7u2) wheezy-security; urgency=high

  * Upload by the Debian-LTS team.
  * Fix CVE-2015-7558 / CVE-2016-4347: stack exhaustion.
  * Fix CVE-2016-4348: stack exhaustion.

 -- Brian May <bam@debian.org>  Thu, 12 May 2016 09:16:32 +1000

librsvg (2.36.1-2+deb7u1) wheezy; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2015-7557: Out-of-bounds heap read when parsing SVG file.

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Thu, 24 Mar 2016 09:18:51 +0100

librsvg (2.36.1-2) stable; urgency=low

  [ Raphaël Geissert ]
  * Fix CVE-2013-1881: disable loading of external entities.
    Closes: #724741.

  [ Josselin Mouette ]
  * Break libgtk-3-0 (<< 3.4.2-7) which uses the anti-feature that is 
    disabled by the security fix.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Dec 2013 21:08:25 +0100

librsvg (2.36.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/10_rsvg-gz.patch: Updated.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 17:15:52 +0200

librsvg (2.36.0-5) unstable; urgency=low

  * Fix segfault by duplicating the output string.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 05:47:25 +0200

librsvg (2.36.0-4) unstable; urgency=low

  * rsvg didn't expect an -o parameter for the output file so apply some
    compat magic when rsvg-convert is being called as rsvg.

 -- Michael Biebl <biebl@debian.org>  Sun, 01 Apr 2012 00:30:37 +0200

librsvg (2.36.0-3) unstable; urgency=low

  * Instead of bringing the old rsvg script back, just install a symlink
    /usr/bin/rsvg → /usr/bin/rsvg-convert. This is safe because both tools
    provide the same command line interface and output. Once all reverse
    dependencies are updated we can drop the symlink in the next release
    cycle. This way we don't need any Breaks.
  * Stop using dh-autoreconf since we no longer need to update the build
    system.
  * Remove python/dh_python2 dependency. With the rsvg python script gone this
    is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 22:28:04 +0200

librsvg (2.36.0-2) unstable; urgency=low

  * Revert upstream commit which dropped the "rsvg" script until all reverse
    dependencies have been fixed to use "rsvg-convert". Closes: #666276
  * Use dh-autoreconf to update the build system.
  * Disable 99_ltmain_as-needed.patch and use dh-autoreconf --as-needed
    instead.

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Mar 2012 23:13:11 +0200

librsvg (2.36.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 01:47:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libdevel
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                libxml2-dev (>= 2.7.0),
@@ -25,16 +25,13 @@
                libgirepository1.0-dev (>= 0.10.8),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
-               gir1.2-gdkpixbuf-2.0,
-               python (>= 2.6.6-3~),
                libglib2.0-doc,
                libgtk2.0-doc,
                libcairo2-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://librsvg.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/librsvg
-X-Python-Version: >= 2.5
 
 Package: librsvg2-dev
 Section: libdevel
@@ -61,6 +58,7 @@
          ${shlibs:Depends}
 Recommends: librsvg2-common
 Suggests: librsvg2-bin
+Breaks: libgtk-3-0 (<< 3.4.2-7)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (runtime)

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,6 @@
 	sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/$(cdbs_curpkg).postinst.in > \
 		debian/$(cdbs_curpkg).postinst
 
-binary-install/librsvg2-bin::
-	dh_python2 -plibrsvg2-bin
-
 clean::
 	rm -f debian/librsvg2-common.postinst

## librsvg 2.36.3

=== debian/changelog ===
librsvg (2.36.3-0ubuntu1.1) quantal-security; urgency=medium

  * SECURITY UPDATE: arbitrary file disclosure via XML External Entity
    (XXE) issue.
    - debian/patches/CVE-2013-1881.patch: implement stricter policy in
      rsvg-base.c, rsvg-css.c, rsvg-io.c, rsvg-private.h.
    - debian/control*: added appropriate Breaks as this updates requires
      a fix to also be added to gtk+3.0.
    - CVE-2013-1881

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Mar 2014 08:56:35 -0400

librsvg (2.36.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/patches/40_missing_files.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 03 Sep 2012 08:15:39 +1200

librsvg (2.36.2-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release (LP: #1038843)
  * debian/control:
    - Add build-depends on valac-0.18
  * debian/rules:
    - Compile with --enable-vala
  * debian/librsvg2-dev.install:
    - Install Vala bindings

  [ Iain Lane ]
  * Remove 99_ltmain_as_needed.patch and do this in rules with dh-autoreconf
    instead. 
  * debian/patches/40_missing_files.patch: Add missing files from this
    tarball, can be dropped when they are added back. 

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Aug 2012 11:37:48 +1200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: librsvg
 Section: libdevel
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
+               dh-autoreconf,
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
@@ -27,7 +28,8 @@
                gir1.2-freedesktop,
                libglib2.0-doc,
                libgtk2.0-doc,
-               libcairo2-doc
+               libcairo2-doc,
+               valac-0.18 (>= 0.17.5)
 Standards-Version: 3.9.3
 Homepage: http://librsvg.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
@@ -58,7 +60,6 @@
          ${shlibs:Depends}
 Recommends: librsvg2-common
 Suggests: librsvg2-bin
-Breaks: libgtk-3-0 (<< 3.4.2-7)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (runtime)
@@ -74,7 +75,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
-Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4)
+Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4), libgtk-3-0 (<< 3.6.0-0ubuntu3.3)
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (extra runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
@@ -13,10 +14,13 @@
 LIBRSVG2_PKG := librsvg2-2
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
+DEB_DH_AUTORECONF_ARGS += --as-needed
+
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-pixbuf-loader \
 	--enable-introspection \
+	--enable-vala \
 	--enable-gtk-doc \
 	--disable-gtk-theme

## librsvg 2.36.4

=== debian/changelog ===
librsvg (2.36.4-2ubuntu0.1) saucy-security; urgency=medium

  * SECURITY UPDATE: arbitrary file disclosure via XML External Entity
    (XXE) issue.
    - debian/patches/CVE-2013-1881.patch: implement stricter policy in
      rsvg-base.c, rsvg-css.c, rsvg-io.c, rsvg-private.h.
    - CVE-2013-1881

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Mar 2014 08:52:45 -0400

librsvg (2.36.4-2) unstable; urgency=low

  * Upload to unstable.
  * Drop Build-Conflicts against valac-0.16 again. With valac-0.20 now being
    the default this is no longer necessary.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-freedesktop.
    Those are pulled in by libgirepository1.0-dev.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 19:34:11 +0200

librsvg (2.36.4-1) experimental; urgency=low

  * Team upload
  * New upstream version (LP: #1038843)
  * Use dh-autoreconf with --as-needed instead of patching ltmain.sh
    (from Ubuntu, thanks Iain Lane)
  * Enable Vala bindings (based on Ubuntu changes, thanks to Robert Ancell)
    - Build-Conflicts: valac-0.16 because if both are installed, the
      default version 0.16 is selected, breaking our build

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Oct 2012 20:17:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
-               dh-autoreconf,
+               dh-autoreconf (>= 4),
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
@@ -24,13 +24,11 @@
                gtk-doc-tools (>= 1.13),
                gobject-introspection (>= 0.10.8),
                libgirepository1.0-dev (>= 0.10.8),
-               gir1.2-glib-2.0,
-               gir1.2-freedesktop,
                libglib2.0-doc,
                libgtk2.0-doc,
                libcairo2-doc,
-               valac-0.18 (>= 0.17.5)
-Standards-Version: 3.9.3
+               valac (>= 0.17.5)
+Standards-Version: 3.9.4
 Homepage: http://librsvg.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/librsvg
@@ -75,7 +73,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          librsvg2-2 (= ${binary:Version})
-Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4), libgtk-3-0 (<< 3.6.0-0ubuntu3.3)
+Breaks: libgdk-pixbuf2.0-0 (<< 2.23.5-2), libgtk2.0-0 (<< 2.24.5-4)
 Multi-Arch: same
 Description: SAX-based renderer library for SVG files (extra runtime)
  The rsvg library is an efficient renderer for Scalable Vector Graphics

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,10 @@
    CFLAGS += -mieee
 endif
 
+DEB_DH_AUTORECONF_ARGS += --as-needed
+
 LIBRSVG2_PKG := librsvg2-2
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
-
-DEB_DH_AUTORECONF_ARGS += --as-needed
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
 	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -22,7 +22,8 @@
 	--enable-introspection \
 	--enable-vala \
 	--enable-gtk-doc \
-	--disable-gtk-theme
+	--disable-gtk-theme \
+	$(NULL)
 
 DEB_DH_MAKESHLIBS_ARGS_$(LIBRSVG2_PKG) += -V -- -c4
 DEB_DH_MAKESHLIBS_ARGS_librsvg2-common = --no-act

## librsvg 2.40.2

=== debian/changelog ===
librsvg (2.40.2-1) unstable; urgency=medium

  * New upstream bugfix releases

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 18 Mar 2014 14:19:54 +0000

librsvg (2.40.0-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
    - Fixes local resource access vulnerability. Closes: #724741
      CVE-2013-1881
  * Refresh patches.
  * GTK2 support has been removed upstream. Drop Build-Depends on
    libgtk2.0-dev, libgtk2.0-doc and the now obsolete --disable-gtk-theme
    configure switch.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.2.0).
  * Bump Build-Depends on libpango1.0-dev to (>= 1.36.0) to get the
    thread-safe version.

  [ Laurent Bigonville ]
  * debian/control.in:
    - Use canonical URL for VCS-* fields
    - Update Homepage URL
    - Move source package to the "libs" Section
    - Remove duplicate Section, thanks to lintian

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Oct 2013 13:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: librsvg
-Section: libdevel
+Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
@@ -14,10 +14,9 @@
                libxml2-dev (>= 2.7.0),
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev (>= 1.2.0),
-               libpango1.0-dev (>= 1.16.0),
+               libpango1.0-dev (>= 1.36.0),
                libgdk-pixbuf2.0-dev (>= 2.23.5-2),
-               libgtk2.0-dev (>= 2.21.5),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.2.0),
                libgsf-1-dev (>= 1.13.2-2),
                gnome-pkg-tools (>= 0.10),
                libcroco3-dev (>= 0.6.1),
@@ -25,13 +24,12 @@
                gobject-introspection (>= 0.10.8),
                libgirepository1.0-dev (>= 0.10.8),
                libglib2.0-doc,
-               libgtk2.0-doc,
                libcairo2-doc,
                valac (>= 0.17.5)
 Standards-Version: 3.9.4
-Homepage: http://librsvg.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/librsvg
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/librsvg
+Homepage: http://live.gnome.org/LibRsvg
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/librsvg
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/librsvg
 
 Package: librsvg2-dev
 Section: libdevel
@@ -52,7 +50,6 @@
  files to allow you to develop with librsvg.
 
 Package: librsvg2-2
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -68,7 +65,6 @@
  applications using librsvg.
 
 Package: librsvg2-common
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
